TOTP

Create

post

Create a new TOTP MFA.

Body

Create MFA of type TOTP

namestring · min: 1 · max: 255 · nullableRequired

The name of the target Multi Factor Authentication. This must be the actual Multi Factor Authentication name used in the RAS farm.

siteIdinteger · int32Optional

Site ID in which to modify the specified Multi Factor Authentication. If the parameter is omitted, the site ID of the Licensing Server will be used.

descriptionstring · nullableOptional

A user-defined Multi Factor Authentication description.

enabledbooleanOptional

Enable or disable the Multi Factor Authentication upon creation. If the parameter is omitted, the Multi Factor Authentication is initialised as Disabled.

displayNamestring · max: 200 · nullableRequired

RADIUS type name.

userEnrollmentstring · enumOptional

User Enrollment

Possible values:
showInformationForUnenrolledUsersstring · enumOptional

Show information for unenrolled users

Possible values:
untilDateTimestring · date-time · nullableOptional

Allow User Enrollment until date/time

toleranceinteger · int32 · nullableOptional

TOTP tolerance in seconds. Accepted values are 0 (None), 30, 60, 90 and 120

userMessagePromptstring · max: 300 · nullableOptional

User message prompt

Responses
chevron-right
201

Created

application/json; api-version=1.0

MFA TOTP Settings

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

namestring · nullableOptional

Name

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description

enabledbooleanOptional

Whether MFA provider is enabled or not.

typestring · enumOptional

Provider Type

Possible values:
inheritDefaultCriteriaSettingsbooleanOptional

If true default criteria restriction settings will be inherited.

displayNamestring · nullableOptional

Authentication method type

userMessagePromptstring · nullableOptional

User message prompt

userEnrollmentstring · enumOptional

User Enrollment

Possible values:
showInformationForUnenrolledUsersstring · enumOptional

Show information for unenrolled users

Possible values:
untilDateTimestring · date-timeOptional

Allow User Enrollment until date/time

toleranceinteger · int32Optional

TOTP tolerance in seconds. Accepted values are 0 (None), 30, 60, 90 and 120

post
/api/MFA/TOTP

Update

put

Update the TOTP MFA Site Settings.

Path parameters
idinteger · int32Required

The ID for which to modify the MFA settings.

Body

Update MFA of type TOTP

namestring · min: 1 · max: 255 · nullableOptional

The new name of the target multi-factor authentication .

descriptionstring · nullableOptional

A user-defined multi-factor authentication description.

enabledboolean · nullableOptional

Enable or disable the specified multi-factor authentication in a site.

inheritDefaultCriteriaSettingsboolean · nullableOptional

If true default criteria settings will be inherited.

displayNamestring · max: 200 · nullableOptional

RADIUS type name.

userEnrollmentstring · enumOptional

User Enrollment

Possible values:
showInformationForUnenrolledUsersstring · enumOptional

Show information for unenrolled users

Possible values:
untilDateTimestring · date-time · nullableOptional

Allow User Enrollment until date/time

toleranceinteger · int32 · nullableOptional

TOTP tolerance in seconds. Accepted values are 0 (None), 30, 60, 90 and 120

defaultUserMessagePromptbooleanOptional

If this parameter is included, the message prompt will be replaced with the default message prompt.

Default: false
userMessagePromptstring · max: 300 · nullableOptional

User message prompt

Responses
put
/api/MFA/TOTP/{id}

No content

Last updated